# Uses of Class
org.springframework.jdbc.core.SqlParameter

Packages that use SqlParameter
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.
org.springframework.jdbc.core.metadata
Context metadata abstraction for the configuration and execution of table inserts and stored procedure calls.
org.springframework.jdbc.core.namedparam
JdbcTemplate variant with named parameter support.
org.springframework.jdbc.core.simple
Simplification layer for common JDBC interactions.
org.springframework.jdbc.object
The classes in this package represent RDBMS queries, updates, and stored procedures as threadsafe, reusable objects.

## Uses of SqlParameter in org.springframework.jdbc.core

Subclasses of SqlParameter in org.springframework.jdbc.core
Modifier and Type
Class
Description
`class`
`ResultSetSupportingSqlParameter`
Common base class for ResultSet-supporting SqlParameters like `SqlOutParameter` and `SqlReturnResultSet`.
`class`
`SqlInOutParameter`
Subclass of `SqlOutParameter` to represent an INOUT parameter.
`class`
`SqlOutParameter`
Subclass of `SqlParameter` to represent an output parameter.
`class`
`SqlParameterValue`
Object to represent an SQL parameter value, including parameter meta-data such as the SQL type and the scale for numeric values.
`class`
`SqlReturnResultSet`
Represents a returned `ResultSet` from a stored procedure call.
`class`
`SqlReturnUpdateCount`
Represents a returned update count from a stored procedure call.
Methods in org.springframework.jdbc.core that return types with arguments of type SqlParameter
Modifier and Type
Method
Description
`static List<SqlParameter>`
SqlParameter.`sqlTypesToAnonymousParameterList(int... types)`
Convert a list of JDBC types, as defined in `java.sql.Types`, to a List of SqlParameter objects as used in this package.
Methods in org.springframework.jdbc.core with parameters of type SqlParameter
Modifier and Type
Method
Description
`void`
CallableStatementCreatorFactory.`addParameter(SqlParameter param)`
Add a new declared parameter.
`void`
PreparedStatementCreatorFactory.`addParameter(SqlParameter param)`
Add a new declared parameter.
`static void`
StatementCreatorUtils.`setParameterValue(PreparedStatement ps, int paramIndex, SqlParameter param, Object inValue)`
Set the value for a parameter.
Method parameters in org.springframework.jdbc.core with type arguments of type SqlParameter
Modifier and Type
Method
Description
`Map<String,Object>`
JdbcOperations.`call(CallableStatementCreator csc, List<SqlParameter> declaredParameters)`
Execute an SQL call using a CallableStatementCreator to provide SQL and any required parameters.
`Map<String,Object>`
JdbcTemplate.`call(CallableStatementCreator csc, List<SqlParameter> declaredParameters)`
`protected Map<String,Object>`
JdbcTemplate.`extractOutputParameters(CallableStatement cs, List<SqlParameter> parameters)`
Extract output parameters from the completed stored procedure.
`protected Map<String,Object>`
JdbcTemplate.`extractReturnedResults(CallableStatement cs, List<SqlParameter> updateCountParameters, List<SqlParameter> resultSetParameters, int updateCount)`
Extract returned ResultSets from the completed stored procedure.
Constructors in org.springframework.jdbc.core with parameters of type SqlParameter
Modifier
Constructor
Description
``
`SqlParameter(SqlParameter otherParam)`
Copy constructor.
``
`SqlParameterValue(SqlParameter declaredParam, Object value)`
Create a new SqlParameterValue based on the given SqlParameter declaration.
Constructor parameters in org.springframework.jdbc.core with type arguments of type SqlParameter
Modifier
Constructor
Description
``
`CallableStatementCreatorFactory(String callString, List<SqlParameter> declaredParameters)`
Create a new factory with the given SQL and the given parameters.
``
`PreparedStatementCreatorFactory(String sql, List<SqlParameter> declaredParameters)`
Create a new factory with the given SQL and parameters.

## Uses of SqlParameter in org.springframework.jdbc.core.metadata

Methods in org.springframework.jdbc.core.metadata that return SqlParameter
Modifier and Type
Method
Description
`SqlParameter`
CallMetaDataProvider.`createDefaultInOutParameter(String parameterName, CallParameterMetaData meta)`
Create a default in/out parameter based on the provided meta-data.
`SqlParameter`
GenericCallMetaDataProvider.`createDefaultInOutParameter(String parameterName, CallParameterMetaData meta)`
`SqlParameter`
CallMetaDataProvider.`createDefaultInParameter(String parameterName, CallParameterMetaData meta)`
Create a default in parameter based on the provided meta-data.
`SqlParameter`
GenericCallMetaDataProvider.`createDefaultInParameter(String parameterName, CallParameterMetaData meta)`
`SqlParameter`
CallMetaDataProvider.`createDefaultOutParameter(String parameterName, CallParameterMetaData meta)`
Create a default out parameter based on the provided meta-data.
`SqlParameter`
GenericCallMetaDataProvider.`createDefaultOutParameter(String parameterName, CallParameterMetaData meta)`
`SqlParameter`
OracleCallMetaDataProvider.`createDefaultOutParameter(String parameterName, CallParameterMetaData meta)`
`SqlParameter`
PostgresCallMetaDataProvider.`createDefaultOutParameter(String parameterName, CallParameterMetaData meta)`
`SqlParameter`
CallMetaDataContext.`createReturnResultSetParameter(String parameterName, RowMapper<?> rowMapper)`
Create a ReturnResultSetParameter/SqlOutParameter depending on the support provided by the JDBC driver used for the database in use.
Methods in org.springframework.jdbc.core.metadata that return types with arguments of type SqlParameter
Modifier and Type
Method
Description
`List<SqlParameter>`
CallMetaDataContext.`getCallParameters()`
Get the List of SqlParameter objects to be used in call execution.
`protected List<SqlParameter>`
CallMetaDataContext.`reconcileParameters(List<SqlParameter> parameters)`
Reconcile the provided parameters with available meta-data and add new ones where appropriate.
Methods in org.springframework.jdbc.core.metadata with parameters of type SqlParameter
Modifier and Type
Method
Description
`protected String`
CallMetaDataContext.`createParameterBinding(SqlParameter parameter)`
Build the parameter binding fragment.
Method parameters in org.springframework.jdbc.core.metadata with type arguments of type SqlParameter
Modifier and Type
Method
Description
`void`
CallMetaDataContext.`processParameters(List<SqlParameter> parameters)`
Process the list of parameters provided, and if procedure column meta-data is used, the parameters will be matched against the meta-data information and any missing ones will be automatically included.
`protected List<SqlParameter>`
CallMetaDataContext.`reconcileParameters(List<SqlParameter> parameters)`
Reconcile the provided parameters with available meta-data and add new ones where appropriate.

## Uses of SqlParameter in org.springframework.jdbc.core.namedparam

Methods in org.springframework.jdbc.core.namedparam that return types with arguments of type SqlParameter
Modifier and Type
Method
Description
`static List<SqlParameter>`
NamedParameterUtils.`buildSqlParameterList(ParsedSql parsedSql, SqlParameterSource paramSource)`
Convert parameter declarations from an SqlParameterSource to a corresponding List of SqlParameters.
Method parameters in org.springframework.jdbc.core.namedparam with type arguments of type SqlParameter
Modifier and Type
Method
Description
`static Object[]`
NamedParameterUtils.`buildValueArray(ParsedSql parsedSql, SqlParameterSource paramSource, List<SqlParameter> declaredParams)`
Convert a Map of named parameter values to a corresponding array.

## Uses of SqlParameter in org.springframework.jdbc.core.simple

Methods in org.springframework.jdbc.core.simple that return types with arguments of type SqlParameter
Modifier and Type
Method
Description
`protected List<SqlParameter>`
AbstractJdbcCall.`getCallParameters()`
Get a List of all the call parameters to be used for call.
Methods in org.springframework.jdbc.core.simple with parameters of type SqlParameter
Modifier and Type
Method
Description
`void`
AbstractJdbcCall.`addDeclaredParameter(SqlParameter parameter)`
Add a declared parameter to the list of parameters for the call.
`SimpleJdbcCall`
SimpleJdbcCall.`declareParameters(SqlParameter... sqlParameters)`
`SimpleJdbcCallOperations`
SimpleJdbcCallOperations.`declareParameters(SqlParameter... sqlParameters)`
Specify one or more parameters if desired.

## Uses of SqlParameter in org.springframework.jdbc.object

Methods in org.springframework.jdbc.object that return types with arguments of type SqlParameter
Modifier and Type
Method
Description
`protected List<SqlParameter>`
RdbmsOperation.`getDeclaredParameters()`
Return a list of the declared `SqlParameter` objects.
Methods in org.springframework.jdbc.object with parameters of type SqlParameter
Modifier and Type
Method
Description
`void`
RdbmsOperation.`declareParameter(SqlParameter param)`
Declare a parameter for this operation.
`void`
StoredProcedure.`declareParameter(SqlParameter param)`
Declare a parameter.
`void`
RdbmsOperation.`setParameters(SqlParameter... parameters)`
Add one or more declared parameters.